# {{ ansible_managed }}
SSLStaplingCache        "shmcb:logs/ssl_stapling(32768)"
<VirtualHost *:443>
        ServerSignature Off
        ServerName {{  name }}

        {% if alias %}

        ServerAlias {{ alias }}
        RewriteEngine On
        RewriteCond %{SERVER_NAME} ={{ alias }}
        RewriteRule ^ https://{{  name }}%{REQUEST_URI} [END,NE,R=permanent]

        {% endif %}

        SSLEngine on
        SSLProtocol             all -SSLv3 -TLSv1 -TLSv1.1
        SSLCipherSuite          ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384
        SSLHonorCipherOrder     off
        SSLSessionTickets       off
        SSLUseStapling          on

        {% if letsencrypt == True %}

        SSLCertificateFile      /etc/letsencrypt/live/{{ name }}/fullchain.pem
        SSLCertificateKeyFile   /etc/letsencrypt/live/{{ name }}/privkey.pem

        {% else %}

        SSLCertificateFile      /etc/apache2/ssl/{{ name }}/cert.pem
        SSLCertificateKeyFile   /etc/apache2/ssl/{{ name }}/privkey.pem

        {% endif %}

        {% if basicAuth.enabled %}

            {% include './templates/basic_auth.j2' %}

        {% endif %}

        {% if formAuth.enabled %}

            {% include './templates/form_auth.j2' %}

        {% endif %}

        {% if targetProtocol == 'https' %}

        {% include './templates/balancer_ssl.j2' %}

        {% else %}

        {% include './templates/balancer.j2' %}

        {% endif %}

        RequestHeader set X-Forwarded-Proto "https"
</VirtualHost>
